VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsDataEcran"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Public idEcran As Integer
Public idProjet As Integer
Public Nom As String

'Liaisons Obligatoire
Public ColProjet As Collection

Private rec As Recordset
Private strRequete As String
Public Sub ChargeEcran()
    
    If QShema.Ecrans.Count = 0 Then
        Set rec = Base.OpenRecordset("Select * from Ecran", dbOpenForwardOnly, dbReadOnly)
        
        With rec
            Do While Not .EOF
                
                Me.idEcran = .Fields("idEcran")
                Me.idProjet = .Fields("idProjet")
                Me.Nom = .Fields("Nom")
                QShema.Ecrans.Add Me, "*" & Me.idEcran
                .MoveNext
            Loop
            .Close
        End With
    End If

End Sub

